#include "frametree.h"

// Erstellt den Knoten
//  index: Die Position des Knotens in der Liste mit Kindknoten des
// Elternknotens
//  parent: Der Elternknoten
//  depth: Der Abstand des Knotens zur Baumwurzel
FrameTreeNode::FrameTreeNode( int index, FrameTreeNode *parent, int depth )
    : index( index ),
      parent( parent ),
      depth( depth )
{
}

FrameTreeNode::~FrameTreeNode()
{
    index = -1;
    parent = 0;
    depth = -1;
}

// Gibt den Index des Knotens in der Liste mit Kindknoten des Elternknotens
// zurück
int FrameTreeNode::getIndex() const
{
    return index;
}

// Gibt den Elternknoten zurück
FrameTreeNode *FrameTreeNode::getParent() const
{
    return parent;
}

// Gibt den Abstand zur Wurzel des Baumes zurück
int FrameTreeNode::getDepth() const
{
    return depth;
}

// Gibt die Anzahl an Kindknoten zurück
int FrameTreeNode::getChildCount() const
{
    return 0;
}
